﻿
using Core.Utilities;
using DG.Ext.Font;
using System;
using System.Drawing;
using Wisej.Web;

namespace HtmlRenderImageSample {
    public partial class Window1 : Form {
        public Window1() {
            InitializeComponent();

            var row1 = new DataGridViewRow();
            row1.Cells.Add(new DataGridViewCell());
            row1.Cells.Add(new DataGridViewCell() { Value = "val 1" });
            row1.Cells.Add(new DataGridViewCell() { Value = "val 2" });

            var row2 = new DataGridViewRow();
            row2.Cells.Add(new DataGridViewCell());
            row2.Cells.Add(new DataGridViewCell() { Value = "val 3" });
            row2.Cells.Add(new DataGridViewCell() { Value = "val 4" });

            dataGridView1.Rows.Add(row1);
            dataGridView1.Rows.Add(row2);
            
            // Image Row 1
            var imgReservedStyle = dataGridView1[0, 0].Style;
            imgReservedStyle.BackgroundImageSource = "resource.wx/DG.Ext.Font/lock.svg?color=#fca326";
            imgReservedStyle.BackgroundImageAlign = ContentAlignment.MiddleCenter;

            // Image Row 2
            imgReservedStyle = dataGridView1[0, 1].Style;
            imgReservedStyle.BackgroundImageSource = "resource.wx/DG.Ext.Font/fax.svg";
            imgReservedStyle.BackgroundImageAlign = ContentAlignment.MiddleCenter;

        }
    }
}
